# Video Profiles

A **`video_profile`** defines a set of video and audio attributes for the output. Following attributes are given:

> **Video Resolution:** output frame size - only the height of frame is used (1080p, 720p..etc); width of frame is based on the input display aspect ratio.

> **Video Codec**: video codec to compress and produce the output - currently H264 is supported. Additional codecs like H265, VP9, and AV1 are coming soon.

> **Video Bitrate:** number of kilobits per second (kbps) used to compress and produce video output. Higher the bitrate delivers better quality. However, higher bitrate produces higher data output: harming the playback experience, increasing the storage, delivery, and costs.

> **Video Framerate:** number of frames per second.

> **Audio Codec:** audio codec used to compress and produce audio output. Default codec is AAC.

> **Audio Channel:** number of audio channels. Default number of channels is 2

> **Audio Bitrate:** number of kilobits per second (kbps) used to compress and produce audio output. Default audio bitrate is 128 kbps.

> **Segment Duration:** The duration of HLS / DASH segments in seconds. Higher value increases latency/buffer time, but stabilizes playback experience.

> **Orientation:** video frame orientation. With the increase of portrait(vertical) videos , this attribute helps Uiza optimize the output.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/api-reference/video-profiles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
